package com.chenyang.nse.bussiness.entity.orm.table.core.generate;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATA_GENERATE_STRATE_PARAMTER"
)
public class TCoreDataGenerateStrateParamter extends TBaseEntity {
   private String generatestrateid;
   private String paramtername;

   public TCoreDataGenerateStrateParamter() {
   }

   public TCoreDataGenerateStrateParamter(String generatestrateid, String paramtername) {
      this.generatestrateid = generatestrateid;
      this.paramtername = paramtername;
   }

   public String getGeneratestrateid() {
      return this.generatestrateid;
   }

   public void setGeneratestrateid(String generatestrateid) {
      this.generatestrateid = generatestrateid;
   }

   public String getParamtername() {
      return this.paramtername;
   }

   public void setParamtername(String paramtername) {
      this.paramtername = paramtername;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.generatestrateid == null ? 0 : this.generatestrateid.hashCode());
      result = 31 * result + (this.paramtername == null ? 0 : this.paramtername.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreDataGenerateStrateParamter other = (TCoreDataGenerateStrateParamter)obj;
         if (this.generatestrateid == null) {
            if (other.generatestrateid != null) {
               return false;
            }
         } else if (!this.generatestrateid.equals(other.generatestrateid)) {
            return false;
         }

         if (this.paramtername == null) {
            if (other.paramtername != null) {
               return false;
            }
         } else if (!this.paramtername.equals(other.paramtername)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreDataGenerateStrateParamter [generatestrateid=" + this.generatestrateid + ", paramtername=" + this.paramtername + "]";
   }
}
